Subject: bug#62962: 28.2; blocked key combinations in macos

From: Gerd Möllmann <[email-masked]>
Date: Wed, 06 Sep 2023 22:22:25 +0200

Stefan Kangas <[email-masked]> writes:

> Eric Blood <[email-masked]> writes:
>
>>> If this is a third-party build, so I'd suggest reporting this to the
>>> Emacs for MacOSX developers first.
>>
>> to be clear https://www.gnu.org/software/emacs/download.html does
>> point to https://emacsformacosx.com/ which would indicate it's
>> official in some manner. even the `brew install --cask emacs` (which
>> the download page instructs) points to these builds. i didn't realize
>> it's not considered an offical build.
>
> Aha, I wasn't aware.  It seems like they actually just build a stock
> Emacs, so I suppose that is fine, then.
>
>>> Alternatively, you could try building Emacs from source and see if
>>> you can reproduce the issue.
>>
>> ok, i just built it from source (haven't done that in years, not as
>> painful as it once was), but still the same issue.
>
> Thanks for testing.
>
>>> Does Emacs have support for this?
>>
>> i would think that any unbound key combinations should be passed to
>> the operating system, and with the *unofficial* railwaycat build, it
>> works.
>
> Is your suspicion here that the keys never reach Emacs, or is it that
> the special feature of the "Magnet" program that doesn't work like it
> should?
>
>>> What is the "railwaycat build"?
>>
>> https://github.com/railwaycat/homebrew-emacsmacport
>
> Noted, thanks.

Eric, maybe do a M-x customize-group RET ns RET, and look at the various
"modifier" choices in the customize buffer.  There are 2 for the two
Option keys on the left and right side of the keyboard.